package com.example.backend.books.repository;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.example.backend.books.model.BookEntity;

public interface BookRepository extends CrudRepository<BookEntity, Long>, PagingAndSortingRepository<BookEntity, Long> {
    List<BookEntity> findByCategoryId(long categoryId);

    Page<BookEntity> findByCategoryId(long categoryId, Pageable pageable);
}
