package com.example.backend.orders.api;

import com.example.backend.books.api.BookDto;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

import jakarta.validation.constraints.NotBlank;

public class OrderDto {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Double sum;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Integer count;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private String date;
    @NotBlank
    private String status;
    @NotBlank
    private String shippingAddress;
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private List<OrderBookDto> orderInfo;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private List<BookDto> books;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getSum() {
        return sum;
    }

    public void setSum(Double sum) {
        this.sum = sum;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public List<OrderBookDto> getOrderInfo() {
        return orderInfo;
    }

    public void setOrderInfo(List<OrderBookDto> orderInfo) {
        this.orderInfo = orderInfo;
    }

    public List<BookDto> getBooks() {
        return books;
    }

    public void setBooks(List<BookDto> books) {
        this.books = books;
    }
}
